PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Friends | List of all members
PIntReversedOrder< type > Struct Template Reference

`#include <object.h>`

## Public Member Functions
__inline | PIntReversedOrder ()
__inline | PIntReversedOrder (type value)
__inline | PIntReversedOrder (const PIntReversedOrder &value)
__inline PIntReversedOrder & | operator= (type value)
__inline PIntReversedOrder & | operator= (const PIntReversedOrder &value)
__inline | operator type () const

## Friends
__inline friend ostream & | operator<< (ostream &s, const PIntReversedOrder &value)
__inline friend istream & | operator>> (istream &s, PIntReversedOrder &v)

## Constructor & Destructor Documentation

template<typename type >

__inline PIntReversedOrder< type >::PIntReversedOrder | ( |  | ) |
| inline

template<typename type >

__inline PIntReversedOrder< type >::PIntReversedOrder | ( | type | value | ) |
| inline

template<typename type >

__inline PIntReversedOrder< type >::PIntReversedOrder | ( | const PIntReversedOrder< type > & | value | ) |
| inline

## Member Function Documentation

template<typename type >

__inline PIntReversedOrder< type >::operator type | ( |  | ) | const
| inline

template<typename type >

__inline PIntReversedOrder& PIntReversedOrder< type >::operator= | ( | type | value | ) |
| inline

template<typename type >

__inline PIntReversedOrder& PIntReversedOrder< type >::operator= | ( | const PIntReversedOrder< type > & | value | ) |
| inline

## Friends And Related Function Documentation

template<typename type >

__inline friend ostream& operator<< | ( | ostream & | s,
|  | const PIntReversedOrder< type > & | value
| ) |  |
| friend

template<typename type >

__inline friend istream& operator>> | ( | istream & | s,
|  | PIntReversedOrder< type > & | v
| ) |  |
| friend

The documentation for this struct was generated from the following file:

- object.h